Skip to main content
GET
/
api
/
cloud-integrations
List cloud integrations
curl --request GET \
  --url https://api-prod.nomadicml.com/api/cloud-integrations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-prod.nomadicml.com/api/cloud-integrations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-prod.nomadicml.com/api/cloud-integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "<string>",
    "bucket": "<string>",
    "prefix": "<string>",
    "region": "<string>",
    "endpoint_url": "<string>",
    "role_arn": "<string>",
    "created_at": "<string>",
    "last_used": "<string>",
    "is_owner": true
  }
]
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}
{
"detail": "<string>",
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Response

Successful response.

id
string
name
string
type
enum<string>
Available options:
gcs,
s3,
hf_bucket,
s3_storage_transfer
bucket
string
prefix
string
region
string
endpoint_url
string
role_arn
string
created_at
string
last_used
string
is_owner
boolean